//! Cli interface.

use clap::Parser;

/// Push Alertswiss notifications to MQTT.
#[derive(Parser)]
#[command(version, about, long_about = None)]
pub struct Cli {
    /// Update interval in seconds
    #[arg(short, long, default_value_t = 10)]
    pub interval: u64,
    /// Database connection string where timestamps are stored (SQLite, Postgres or MySql)
    #[arg(short, long, default_value_t = format!("sqlite::memory:"))]
    pub connection: String,

    /// MQTT broker where alerts get published
    #[arg(short, long)]
    pub mqtt_broker: String,

    /// MQTT port
    #[arg(short = 'p', long, default_value_t = 1883)]
    pub mqtt_port: u16,

    /// MQTT user
    #[arg(short = 'u', long)]
    pub mqtt_user: String,

    /// MQTT password
    #[arg(short = 'P', long)]
    pub mqtt_password: String,
}
