use serde::{Deserialize, Serialize};

use crate::json;

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Link {
    pub href: String,
    pub text: String,
}

impl From<json::link::Link> for Link {
    fn from(value: json::link::Link) -> Self {
        Self {
            href: value.href,
            text: value.text,
        }
    }
}
