use serde::{Deserialize, Serialize};

use crate::json;

use super::coordinate::Coordinate;

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Polygon {
    pub coordinates: Vec<Coordinate>,
}

impl From<json::polygon::Polygon> for Polygon {
    fn from(value: json::polygon::Polygon) -> Self {
        Self {
            coordinates: value.coordinates.into_iter().map(|x| x.into()).collect(),
        }
    }
}
