use crate::datastore::rdbms::RdbmsError;
use thiserror::Error;

#[derive(Error, Debug)]
#[error("application error")]
pub enum Error {
    /// Database Error
    #[error("database error")]
    DbError(#[from] RdbmsError),
    /// Error fetching data from alertswiss
    #[error("data error")]
    FetchError(#[from] reqwest::Error),
    /// Error publishing to MQTT
    #[error("mqtt client error")]
    MqttCLientError(#[from] rumqttc::ClientError),
    /// Error publishing to MQTT
    #[error("mqtt connection error")]
    MqttConnectionError(#[from] rumqttc::ConnectionError),
}
