use super::alert::Alert;
use serde::{Deserialize, Serialize};
use time::OffsetDateTime;

#[derive(Debug, Serialize, Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct Alerts {
    pub heartbeat_age_in_millis: u64,
    #[serde(deserialize_with = "super::datetime::deserialize_alerts")]
    pub render_time: OffsetDateTime,
    #[serde(rename = "alerts")]
    pub list: Vec<Alert>,
}
