use serde::{Deserialize, Serialize};

use super::{circle::Circle, description::Description, polygon::Polygon, region::Region};

#[derive(Debug, Clone, Serialize, Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct Area {
    pub description: Description,
    pub region_type: String,
    pub polygons: Vec<Polygon>,
    pub circles: Vec<Circle>,
    pub regions: Vec<Region>,
}
