use std::process;

use alert_me::{cli::Cli, logging};
use clap::Parser;
use tracing::error;

#[tokio::main]
async fn main() {
    logging::setup("alert_me");

    let args = Cli::parse();
    let config = args.into();

    if let Err(e) = alert_me::run(config).await {
        error!("Application error: {e:?}");
        process::exit(1);
    }
}
